clang 10.0.0git

Namespaces | Typedefs | Enumerations | Functions
ArgumentsAdjusters.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/StringRef.h"`
`#include <functional>`
`#include <string>`
`#include <vector>`
Include dependency graph for ArgumentsAdjusters.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::tooling

## Typedefs
using | clang::tooling::CommandLineArguments = std::vector< std::string >
| A sequence of command line arguments. More...
using | clang::tooling::ArgumentsAdjuster = std::function< CommandLineArguments(const CommandLineArguments &, StringRef Filename)>
| A prototype of a command line adjuster. More...

## Enumerations
enum | clang::tooling::ArgumentInsertPosition { clang::tooling::ArgumentInsertPosition::BEGIN, clang::tooling::ArgumentInsertPosition::END }

## Functions
ArgumentsAdjuster | clang::tooling::getClangSyntaxOnlyAdjuster ()
| Gets an argument adjuster that converts input command line arguments to the "syntax check only" variant. More...
ArgumentsAdjuster | clang::tooling::getClangStripOutputAdjuster ()
| Gets an argument adjuster which removes output-related command line arguments. More...
ArgumentsAdjuster | clang::tooling::getClangStripSerializeDiagnosticAdjuster ()
| Gets an argument adjuster which removes command line arguments related to diagnostic serialization. More...
ArgumentsAdjuster | clang::tooling::getClangStripDependencyFileAdjuster ()
| Gets an argument adjuster which removes dependency-file related command line arguments. More...
ArgumentsAdjuster | clang::tooling::getInsertArgumentAdjuster (const CommandLineArguments &Extra, ArgumentInsertPosition Pos)
| Gets an argument adjuster which inserts `Extra` arguments in the specified position. More...
ArgumentsAdjuster | clang::tooling::getInsertArgumentAdjuster (const char *Extra, ArgumentInsertPosition Pos=ArgumentInsertPosition::END)
| Gets an argument adjuster which inserts an `Extra` argument in the specified position. More...
ArgumentsAdjuster | clang::tooling::getStripPluginsAdjuster ()
| Gets an argument adjuster which strips plugin related command line arguments. More...
ArgumentsAdjuster | clang::tooling::combineAdjusters (ArgumentsAdjuster First, ArgumentsAdjuster Second)
| Gets an argument adjuster which adjusts the arguments in sequence with the `First` adjuster and then with the `Second` one. More...